Subject: Re: [RFC: 2.6 patch] let NET_CLS_ACT no longer depend on EXPERIMENTAL

From: Patrick McHardy <[email-masked]>
Date: Sat, 04 Mar 2006 21:36:54 +0100

jamal wrote:
> On Sat, 2006-04-03 at 17:56 +0100, Patrick McHardy wrote:
> 
>>Adrian Bunk wrote:
>>
>>>This option should IMHO no longer depend on EXPERIMENTAL.
>>>
>>
>>Yesterday I managed to crash my machine playing around with tc actions
>>within minutes. I haven't looked into it yet, but it seems it still
>>needs more testing.
> 
> 
> Simple: Fix the bug and submit a patch. If you cant find the cause post
> what you are doing. 

I'll fix it.

> What is the metric for going from experimental to non-experimental?
> I surely hope it doesnt come to some irrational reasoning like
> "Patrick found a bug"[1]. 

I think a sane metric is "opinion of people who know the code". But
I don't care much, I don't think many people care whether something
is maked experimental or not.

> [1]If you used half of that logic on netfilter it would still be
> experimental or rather should be demoted to experimental.

I'll take that as a compliment :)